Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Interface SearchBuilder

All Superinterfaces:
  SearchContentHandler

All Known Implementing Classes:
  BlastLikeSearchBuilder

    public interface SearchBuilder

extends SearchContentHandler

The `SearchBuilder` interface is to be used by objects which accumulate state via a `SearchContentHandler` and then construct a `SeqSimilaritySearchResult` object.

Since:
  1.1
Author:
  Keith James
See Also:
  `SearchContentHandler`

Method Summary
`SeqSimilaritySearchResult` | `makeSearchResult()` The `makeSearchResult` method returns a `SeqSimilaritySearchResult` instance created from accumulated data.

Methods inherited from interface org.biojava.bio.search.SearchContentHandler
`addHitProperty, addSearchProperty, addSubHitProperty, endHeader, endHit, endSearch, endSubHit, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit, startSearch, startSubHit`

Method Detail

### makeSearchResult

    SeqSimilaritySearchResult makeSearchResult()
                                               throws BioException

  The `makeSearchResult` method returns a `SeqSimilaritySearchResult` instance created from accumulated data.

  Returns:
    a `SeqSimilaritySearchResult`.
  Throws:
    `BioException` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD